Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class XTagFactory

    java.lang.Object
      xjavadoc.XTagFactory

public final class XTagFactory
extends Object

Creates XTag instances.

Author:
  Aslak Hellesøy

Constructor Summary
`XTagFactory()`

Method Summary
`XTag` | `createTag(String tagName, String text, XDoc doc, int lineNumber)` Creates a new XTag.
`boolean` | `isValidating()`
`void` | `registerTagClass(String tagName, Class tagClass)`
`void` | `setIgnoredTags(String tags)` Set the name of the tags that shouldn't be validated against.
`void` | `setValidating(boolean isValidating)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XTagFactory

    public XTagFactory()

Method Detail

### isValidating

    public boolean isValidating()

### setValidating

    public void setValidating(boolean isValidating)

### setIgnoredTags

    public void setIgnoredTags(String tags)

  Set the name of the tags that shouldn't be validated against.

  Parameters:
    `tags` -

### createTag

    public XTag createTag(String tagName,
                          String text,
                          XDoc doc,
                          int lineNumber)
                   throws UnknownTagException

  Creates a new XTag. If a special tag class has been previously registeres, an instance of the corresponding class will be returned. This allows for special tag implementations.

  Parameters:
    `tagName` - name of the tag, without the '@'
    `text` - content of the tag. Will be parsed into attributes.
    `doc` -
    `lineNumber` -
  Returns:
    an instance of XTag
  Throws:
    `UnknownTagException`
    `TagValidationException` - if validation is activated and an unknown tag was encountered.

### registerTagClass

    public void registerTagClass(String tagName,
                                 Class tagClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.